# GstPlayerVisualization

A GstPlayerVisualization descriptor.

### Members

`name` (gchar *) –

name of the visualization.

`description` (gchar *) –

description of the visualization.

## GstPlayer.PlayerVisualization

A GstPlayer.PlayerVisualization descriptor.

### Members

`name` (String) –

name of the visualization.

`description` (String) –

description of the visualization.

## GstPlayer.PlayerVisualization

A GstPlayer.PlayerVisualization descriptor.

### Members

`name` (str) –

name of the visualization.

`description` (str) –

description of the visualization.

### Methods

#### gst_player_visualization_copy

    GstPlayerVisualization *
    gst_player_visualization_copy (const GstPlayerVisualization * vis)

Makes a copy of the GstPlayerVisualization. The result must be freed using gst_player_visualization_free.

Parameters:

`vis` –

GstPlayerVisualization instance

Returns ( [transfer: full]) –

an allocated copy of vis.

#### GstPlayer.PlayerVisualization.prototype.copy

    function GstPlayer.PlayerVisualization.prototype.copy(): {
        // javascript wrapper for 'gst_player_visualization_copy'
    }

Makes a copy of the GstPlayer.PlayerVisualization. The result must be freed using GstPlayer.PlayerVisualization.prototype.free.

Parameters:

`vis` (GstPlayer.PlayerVisualization) –

GstPlayer.PlayerVisualization instance

Returns (GstPlayer.PlayerVisualization) –

an allocated copy of vis.

#### GstPlayer.PlayerVisualization.copy

    def GstPlayer.PlayerVisualization.copy (self):
        #python wrapper for 'gst_player_visualization_copy'

Makes a copy of the GstPlayer.PlayerVisualization. The result must be freed using GstPlayer.PlayerVisualization.free.

Parameters:

`vis` (GstPlayer.PlayerVisualization) –

GstPlayer.PlayerVisualization instance

Returns (GstPlayer.PlayerVisualization) –

an allocated copy of vis.

#### gst_player_visualization_free

    gst_player_visualization_free (GstPlayerVisualization * vis)

Frees a GstPlayerVisualization.

Parameters:

`vis` –

GstPlayerVisualization instance

#### GstPlayer.PlayerVisualization.prototype.free

    function GstPlayer.PlayerVisualization.prototype.free(): {
        // javascript wrapper for 'gst_player_visualization_free'
    }

Frees a GstPlayer.PlayerVisualization.

Parameters:

`vis` (GstPlayer.PlayerVisualization) –

GstPlayer.PlayerVisualization instance

#### GstPlayer.PlayerVisualization.free

    def GstPlayer.PlayerVisualization.free (self):
        #python wrapper for 'gst_player_visualization_free'

Frees a GstPlayer.PlayerVisualization.

Parameters:

`vis` (GstPlayer.PlayerVisualization) –

GstPlayer.PlayerVisualization instance

The results of the search are